gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Objects.NoOpObject

Contents

- Exported types
- Methods
  - new

Description

An AtkNoOpObject is an AtkObject which purports to implement all ATK interfaces. It is the type of AtkObject which is created if an accessible object is requested for an object type for which no factory type is specified.

Synopsis

- newtype NoOpObject = NoOpObject (ManagedPtr NoOpObject)
- class GObject o => IsNoOpObject o
- toNoOpObject :: (MonadIO m, IsNoOpObject o) => o -> m NoOpObject
- noNoOpObject :: Maybe NoOpObject
- noOpObjectNew :: (HasCallStack, MonadIO m, IsObject a) => a -> m NoOpObject

# Exported types

newtype NoOpObject Source #

Memory-managed wrapper type.

Constructors

NoOpObject (ManagedPtr NoOpObject) |

Instances

GObject NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject Methods gobjectType :: NoOpObject -> IO GType Source #
IsObject NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsAction NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsComponent NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsDocument NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsEditableText NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsHypertext NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsImage NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsSelection NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsTable NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsTableCell NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsText NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsValue NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsWindow NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsObject NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsNoOpObject NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject

class GObject o => IsNoOpObject o Source #

Type class for types which can be safely cast to `NoOpObject`, for instance with `toNoOpObject`.

Instances

(GObject a, (UnknownAncestorError NoOpObject a :: Constraint)) => IsNoOpObject a Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsNoOpObject NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject

toNoOpObject :: (MonadIO m, IsNoOpObject o) => o -> m NoOpObject Source #

Cast to `NoOpObject`, for types for which this is known to be safe. For general casts, use `castTo`.

noNoOpObject :: Maybe NoOpObject Source #

A convenience alias for `Nothing` :: `Maybe` `NoOpObject`.

# Methods

## new

noOpObjectNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsObject a) |
=> a | `obj`: a `Object`
-> m NoOpObject | Returns: a default (non-functioning stub) `Object`

Provides a default (non-functioning stub) `Object`. Application maintainers should not use this method.